# ApplicationFramework
TKBinL
BinMDF

# BinMDF_ADriverTable Class Reference

A driver table is an object building links between
object types and object drivers. In the
translation process, a driver table is asked to
give a translation driver for each current object
to be translated.
.

`#include <BinMDF_ADriverTable.hxx>`

## Public Member Functions

Standard_EXPORT | BinMDF_ADriverTable ()
| Constructor .
Standard_EXPORT void | AddDriver (const Handle(BinMDF_ADriver)&theDriver)
| Adds a translation driver <thedriver>. .
Standard_EXPORT void | AssignIds (const TColStd_IndexedMapOfTransient &theTypes)
| Assigns the IDs to the drivers of the given Types. It uses indices in the map as IDs. Useful in storage procedure. .
Standard_EXPORT void | AssignIds (const TColStd_SequenceOfAsciiString &theTypeNames)
| Assigns the IDs to the drivers of the given Type Names; It uses indices in the sequence as IDs. Useful in retrieval procedure. .
Standard_Integer | GetDriver (const Handle(Standard_Type)&theType, Handle(BinMDF_ADriver)&theDriver) const
| Gets a driver <thedriver> according to <thetype>. Returns Type ID if the driver was assigned an ID; 0 otherwise. .
Handle_BinMDF_ADriver | GetDriver (const Standard_Integer theTypeId) const
| Returns a driver according to <thetypeid>. Returns null handle if a driver is not found .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

void | AssignId (const Handle(Standard_Type)&theType, const Standard_Integer theId)
| Assigns the ID to the driver of the Type .

## Private Attributes

BinMDF_TypeADriverMap | myMap
BinMDF_TypeIdMap | myMapId

## Constructor & Destructor Documentation

Standard_EXPORT BinMDF_ADriverTable::BinMDF_ADriverTable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void BinMDF_ADriverTable::AddDriver | ( | const Handle(BinMDF_ADriver)& | theDriver | ) |

void BinMDF_ADriverTable::AssignId | ( | const Handle(Standard_Type)& | theType,
|  | const Standard_Integer | theId
| ) | `[inline, private]`

Standard_EXPORT void BinMDF_ADriverTable::AssignIds | ( | const TColStd_SequenceOfAsciiString & | theTypeNames | ) |

Standard_EXPORT void BinMDF_ADriverTable::AssignIds | ( | const TColStd_IndexedMapOfTransient & | theTypes | ) |

Handle_BinMDF_ADriver BinMDF_ADriverTable::GetDriver | ( | const Standard_Integer | theTypeId | ) | const

Standard_Integer BinMDF_ADriverTable::GetDriver | ( | const Handle(Standard_Type)& | theType,
|  | Handle(BinMDF_ADriver)& | theDriver
| ) | const`[inline]`

Standard_EXPORT const BinMDF_ADriverTable::Handle | ( | Standard_Type |  | ) | const

## Field Documentation

BinMDF_TypeADriverMap BinMDF_ADriverTable::myMap `[private]`

BinMDF_TypeIdMap BinMDF_ADriverTable::myMapId `[private]`

The documentation for this class was generated from the following files:

- BinMDF_ADriverTable.hxx
- BinMDF_ADriverTable.lxx